Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ejb.bmp
Class BMPDatastoreManager

`java.lang.Object
oracle.toplink.ejb.bmp.BMPDatastoreManager`

public class BMPDatastoreManager
extends java.lang.Object

Purpose: Global Datastore collection location used in our suggested BMP implementation.

Description: This allows for a global location for datastore objects which can be accessed globally from EntityBeans.

Responsibilities:

- Store global datastores per class.

Since:
  TOPLink/Java 3.0

Method Summary
`EJBDataStore` | `getDatastore(java.lang.Class classType)` PUBLIC: This method returns a dataStore instance for a particular sesssion and bean class.
`EJBDataStore` | `getDatastore(XMLSessionConfigLoader xmlSessionConfigloader, java.lang.String sessionName, java.lang.Class classType)` PUBLIC: This method returns a dataStore instance for a particular sesssion and bean class.
`static BMPDatastoreManager` | `getManager()` PUBLIC: Return the singleton datastore manager.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDatastore

    public EJBDataStore getDatastore(java.lang.Class classType)

  PUBLIC: This method returns a dataStore instance for a particular sesssion and bean class. This will use the default session name "default"
  Parameters:
    `classType` - java.lang.String the bean class

### getDatastore

    public EJBDataStore getDatastore(XMLSessionConfigLoader xmlSessionConfigloader,
                                     java.lang.String sessionName,
                                     java.lang.Class classType)

  PUBLIC: This method returns a dataStore instance for a particular sesssion and bean class.
  Parameters:
    `sessionName` - java.lang.String The registered name of the session
    `classType` - java.lang.String the bean class

### getManager

    public static BMPDatastoreManager getManager()

  PUBLIC: Return the singleton datastore manager. This allows global access to datastores.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD